Subject: Re: TCP sockets stalling - help! (long)

From: Asdo <[email-masked]>
Date: Fri, 27 Nov 2009 13:56:13 +0100

Frederic Leroy wrote:
> Le Wed, 25 Nov 2009 05:25:28 +0100,
> Asdo <[email-masked]> a écrit :
>
>   
>> Hi netdev and e1000 people,
>>
>> I have a weird problem here.
>> [...]
>>     
>
> I have the same kind of problem at home. I can't copy big files over
> ssh unless I limit the rate ( ssh -l 8000 ... )
> After reading your mail, I make some quick tests ( see below).
>
> Results in short :
> - netcat always work.
> - ssh stalls, nearly immediately.
>   
Good God it's true then!

I think I have an idea for why Netcat works while scp doesn't:
probably SCP pushing data requires replies from the application layer 
(the 60 bytes I was telling about for SFTP) while netcat doesnt, it just 
needs the Acks to keep pushing data.

Still if I am right, with Netcat you might end up with a corrupted file 
on the other side (shorter). Or maybe not, depending on how exactly the 
bug is made. Could you check this? Filesize and md5sum.

I think I just reproduced the bug on another machine, different hardware 
(Supermicro mainboard), same Ubuntu, same kernel, same integrated Intel 
network card. It just takes 5 hours or so for me to trigger.

Do you have Intel network card, with e1000e driver on SG? (see lsmod) 
(sorry I was wrong before, it's e1000e in my case not e1000) Otherwise 
it's probably the TCP layer...

Would you paste here your lspci and lsmod?

Thank you

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day 
trial. Simplify your report design, integration and deployment - and focus on 
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july

_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel